require "AnAL.lua"
require "Player.lua"
require "Mob.lua"
require "vector.lua"
require "camera.lua"

gui = {}


function love.load()

	cam = Camera(vector(love.graphics.getWidth()/2,love.graphics.getHeight()/2), 1, 0)
	enx=1300
	eny=490

	
	stand = love.graphics.newImage("sprites/right.png")
	
	--artwork
	wall_testarea = love.graphics.newImage("artwork/test.png")
	gold = love.graphics.newImage("sprites/gold.png")

   
	--Load some enemies
	mobFunctions:add(400,555,150)
	mobFunctions:add(400,758,150)
	mobFunctions:add(600,654,150)
	mobFunctions:add(400,815,150)
end



--It's good form to keep this in the main.lua
function love.keypressed(k)
    if k == 'escape' then
        love.event.push('q')
    end
end

--same with this
function love.update(dt)

	player:update(dt)
	
end

function love.draw()
	cam:draw(runGame)
	gui:run()
end

--Place anything thats part of the gui, into here
function gui:run()
	
	love.graphics.print("Mouse (" .. love.mouse.getX() .. "," .. love.mouse.getY() .. ")", 32, 46)
	love.graphics.print("Char (" .. player.x .. "," .. player.y .. ")", 32, 66)
	
end


function runGame()


	--background
	love.graphics.draw(wall_testarea,0, 0)

	--Draw the coin
	love.graphics.draw(gold, 1300, 500)

	
	--Update all the enemies
	mobFunctions:update()	
	
	--update the players facing direction
	if run==1 then
		if dir==1 then
			player.anim:draw(player.x,player.y,0,-1,1,0,205)
		else
			player.anim:draw(player.x,player.y,0,1,1,105,205)
		end
	else
		if dir==1 then
			love.graphics.draw(stand,player.x,player.y,0,-1,1,0,205)
		else
			love.graphics.draw(stand,player.x,player.y,0,1,1,105,205)
		end
	end

end
